Get the current project
Retrieve the project associated with the project token used to authenticate the request.
Retrieve the project associated with the project token used to authenticate the request.
Authorization
projectToken Authenticate as a project with a project token.
Send it as a bearer token in the Authorization header:
Authorization: Bearer <project-token>You can find your project token in your Argos project settings. Project tokens are used by CI and the SDK to create builds and deployments.
In: header
Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/project"{ "id": "string", "account": { "id": "string", "slug": "string" }, "name": "string", "defaultBaseBranch": "string", "hasRemoteContentAccess": true}List an account's projects GET
List the projects of an account that are visible to the authenticated user, most recently active first. Results are paginated. The token must be scoped to the account.
Create a project POST
Create a new project in an account you administer. The authenticated personal access token must be scoped to the target account, and the acting user must be an administrator of it.